org.mariadb.jdbc.internal.common

## Interface PacketFetcher

All Known Implementing Classes:
  SyncPacketFetcher

    public interface PacketFetcher

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearInputStream()`
`void` `close()`
`RawPacket` `getRawPacket()`

### Method Detail

#### getRawPacket

    RawPacket getRawPacket()
                    throws IOException

Throws:
  `IOException`

#### clearInputStream

    void clearInputStream()
                   throws IOException

Throws:
  `IOException`

#### close

    void close()
        throws IOException

Throws:
  `IOException`